Read organization data for a specific organization

Retrieves organization data (including company name, EIN, and payment information) for a particular organization.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Definitions

Response ItemDescription                                         Data Type
idThe ID of the organization or company. Each organization ID is automatically assigned by NewCraft.String
company_nameThe full name of the organization or company.String
einThe Employer Identification Number, or Federal Tax Identification Number, associated with the organization. This unique 9-digit number (in the format "XX-XXXXXXX") is what identifies the organization for US tax purposes.String
company_locationThe primary location of the organization.String
headcountThe number of people who work at the company in total.Integer
{bank_account}The information associated with the bank account that the organization uses to make company payments. This is what used to pay salaries and other expenses.Object
{bank_account}/routingNumberThe routing number associated with the account that the organization uses to make company payments.String
{bank_account}/accountNameThe name associated with the bank account that the organization uses to make company payments. This might be the name of the organization or the name of a leader within the organization, depending on how the account was set up.String
{bank_account}/institutionNameThe name of the bank or other institution that the organization uses to make company payments.String
{bank_account}/accountTypeThe account type from which organization makes company payments. This will most likely say "CHECKING," meaning that business expenses are taken from a checking account. If expenses are taken from a savings account, output will be "SAVINGS".String
{bank_account}/accountNumberThe account number associated with the account that the organization uses to make company payments.String
{teams}The information associated with the smaller teams that make up the organization.Object
{teams}/team_idThe ID of a particular team within the organization. Each team ID is assigned by NewCraft.String
{teams}/typeThe domain of the team; this describes at a high level what sort the team works on, like "marketing," "engineering," or "product."String
{teams}/{attributes}/team_idThe ID of a particular team within the organization. Each team ID is assigned by NewCraft.String
{teams}/{attributes}/team_nameThe name of the team, often directly related to the team type.String
{teams}/{attributes}/team_locationThe primary location of the team.String
{teams}/{attributes}/headcountThe number of people on the team.Integer
{teams}/{attributes}/pay_scheduleDescribes when the members of this team are paid.String

Example Response

{
  "data": {
    "id": "39d42a4a-0e36-4a6c-8804-fce588acf032",
    "type": "Organization",
    "attributes": {
      "id": "39d42a4a-0e36-4a6c-8804-fce588acf032",
      "company_name": "Brooklyn Mint",
      "ein": "55-5555555",
      "company_location": "Bedford-Stuyvesant, Brooklyn, NY, USA",
      "headcount": 23,
      "back_account": {
        "routingNumber": "122101706",
        "accountName": "Stripe",
        "institutionName": "BANK OF AMERICA, N.A.",
        "accountType": "CHECKING",
        "accountNumber": "19879919"
      },
      "teams": {
        "team_id": "8wigs573-s375-1x14-x9s1-31s8462fd8c3",
        "type": "Product",
        "attributes": {
          "team_id": "8wigs573-s375-1x14-x9s1-31s8462fd8c3",
          "team_name": "Product",
          "team_location": "Los Angeles, CA, USA",
          "team_headcount": 3,
          "pay_schedule": "bimonthly"
        }
      }
    }
  }
}
Path Params
string
required

The ID associated with a particular organization. Each organization ID is assigned by NewCraft. You can find relevant organization IDs by retrieving all organizations in your account and taking note of the IDs associated with the relevant organizations.

Response

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json